package com.lightinit.hsdataplatformresdir.model.admin;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ResourceAllImgFreeModel implements Serializable{

    private String name;
    private String value ;
    public List<ResourceTreeNodeModel> children;//子节点列表

    public ResourceAllImgFreeModel(String name) {
        this.name = name;
        this.children = new ArrayList<ResourceTreeNodeModel>()  ;
    }

    public ResourceAllImgFreeModel() {
        super();
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<ResourceTreeNodeModel> getChildren() {
        return children;
    }

    public void setChildren(List<ResourceTreeNodeModel> children) {
        this.children = children;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
